﻿html, body {
    width:100%;
    height:100%;
    margin:0;
    padding:0;
    overflow:hidden;
    font-family:"Segoe UI";
    font-size:15px;
}
div {
            
}
      
#divGridButtons>button{
    padding-top:8px;
    margin-left:4px !important;
}

.wfSidebar-normal {
    position:absolute;
    top:0px;
    left:0px;
    width: 320px;
    bottom:0px;
    padding-right:20px;
}
.wfSidebar-normal > .collapse {
    display:block;
    position: absolute;
    top: 0px;
    right: 0px;
    width: 18px;
    bottom: 0px;
    vertical-align:middle;
    text-align:center;    
}
.wfSidebar-normal > .collapse:hover {
    background-color:rgba(255,255,255,.2);
}
#wfNormalMenu {
    position:absolute;
    top:80px;
    left:0px;
    right: 20px;
    bottom:65px;
    padding-top:4px;
    overflow:hidden;
}
.wfSidebar-normal-text {
    position: absolute;
    top: 50%;
    margin-top: -9px;   
    text-align: center;
    display: block;
    padding: 0px 0px 0px 0px;
    color: white;    
    font-size: 17px;
    font-weight:500 !important;
    padding-top: 2px;    
}
.wfSidebar-small {
    display:none;
    position:absolute;
    width:35px;
    bottom:0px;
    left:0px;
    top:0px;
}
.wfSidebar-small:hover {
    cursor: pointer;
}
.wfSidebar-small > .hover-color {
    position:absolute;
    left:0px;
    right:0px;
    top:0px;
    bottom:0px;
    z-index:2;
}
.wfSidebar-small > .hover-color:hover {
    background-color: rgba(255,255,255,.15);
}
.wfSidebar-small-text {
    position:absolute;
    top:50%;
    margin-top:-75px;
    right:50%;
    margin-right:-96px;
    width:200px;
    text-align:center;    
    display:block;
    padding:0px;
    color:white;
    font-weight:bold;
    font-size:17px;
    padding-top:2px;
    z-index:1;

    -moz-transform: rotate(-90.0deg);
      /* Opera 10.5 */
      -o-transform: rotate(-90.0deg);
      /* Saf3.1+, Chrome */
      -webkit-transform: rotate(-90.0deg);
      /* IE6,IE7 */  
      -ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=0.083)";
      /* Standard */
      transform: rotate(-90.0deg);

}

.btn-sidebar-small{
    width:30px;
    height:30px;
    color:white;
    border-radius:15px;
    margin-top:5px;
    margin-left:3px;
    padding-left:11px;
    padding-top:6px;
    margin-right:3px;
}

.btn-sidebar-small-black-rightside{
    width:30px;
    height:30px;
    color:black;
    border-radius:15px;
    margin-top:5px;
    margin-left:3px;
    padding-left:11px;
    padding-top:6px;
}

.btn-sidebar-small-black-leftside{
    width:30px;
    height:30px;
    color:black;
    border-radius:15px;
    margin-top:5px;
    margin-left:3px;
    padding-left:9px;
    padding-top:6px;
}

.sidebar-top-level {
    font-family: 'Segoe UI',Roboto,Helvetica Neue,Helvetica,Arial,sans-serif;
    font-size: 25px;
    font-weight: 600;
    padding: 4px 15px 4px 15px;
    margin-bottom: 0px;
    /*border-bottom-style: solid;
    border-bottom-width: 2px;*/
    cursor: pointer;
}
.sidebar-top-level:last-child {    
    border-bottom-style: solid;
    border-bottom-width: 2px;
}
.sidebar-secondary-level {
    
    margin-left: 2px;
    margin-right: 2px;
    margin-top: 0px;
    margin-bottom: 0px;
    /*border-radius:3px;*/
    padding: 2px 3px;
    /*overflow:hidden;*/
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-face-color: #41557B;
    scrollbar-shadow-color: transparent;
    scrollbar-highlight-color: transparent;
    scrollbar-base-color: transparent;
    scrollbar-3dlight-color: transparent;
    scrollbar-arrow-color: #41557B;
}
.sidebar-secondary-level::-webkit-scrollbar {
    width:12px;
}
.sidebar-secondary-level::-webkit-scrollbar-track {
      background-color: white;
} /* the new scrollbar will have a flat appearance with the set background color */
 
.sidebar-secondary-level::-webkit-scrollbar-thumb {
      background-color: #41557B; 
      border-radius:6px;
      border:1px solid white;
} /* this will style the thumb, ignoring the track */
 
.sidebar-secondary-level::-webkit-scrollbar-button {
      background-color: white;
      height:0px;
} /* optionally, you can style the top and the bottom buttons (left and right for horizontal bars) */
 
.sidebar-secondary-level::-webkit-scrollbar-corner {
      background-color: white;
}
        
.sidebar-secondary-level a
{
    display:inline-block;
    margin:3px 5px;
    width:100%;
}

.sidebar-secondary-level>div
{
    margin:3px 5px;
    width:100%;
}

.sidebar-secondary-level>div>div
{
    margin:3px 5px;
    width:100%;
}

.slimScroller {
    width:100%;
    height:100%;
}

.wfExtraButtons {
    position:absolute;
    left:0px;
    bottom:0px;
    right:20px;
    height:70px;           
}
        
.wfContent{
    position:absolute;
    top:0px;
    left:315px;
    right:0px;
    bottom:0px;
    background-color:white;
    overflow:hidden;
}

#divIframe {
    position:absolute;
    left:0px;
    right:0px;
    top:0px; 
    bottom:0px;
    overflow:hidden;
}

#divGridArea {
    position: absolute;
    left: 0px;
    right: 0px;
    top: 10px;
    bottom: 0px;
    overflow: hidden;
}

#wfIframe{
    width:100%; height:100%;
}


.menu-workflow {
    font-size:18px;
    width:100%;
    padding-left:5px;
    padding-right:5px;
    padding-top:10px;
}

.menu-workflow[queueshidden="true"] {
    cursor:s-resize;
}

.menu-workflow[queueshidden="false"] {
    cursor:n-resize;
}


.menu-workflow > i{
    margin-right:10px;
}
.menu-queue {    
    display:block;     
    width:100%;
    table-layout:fixed;
            
}
.menu-queue>tbody>tr>td {    
    padding-top:2px;
    padding-bottom:2px;
    /*border-top:1px solid #dddddd;*/
}

.menu-queue-container {
    width:100%;
    padding-left:10px;
    padding-right:8px;
    cursor:pointer;
}
.menu-queue-itemcounter{
    float:right;
    display:block;
    padding:0px 7px 1px 7px;
    border-radius:12px;
    margin-left:5px;
    margin-right:2px;
    text-wrap:none;
    white-space:nowrap;
}
.menu-queue>tbody>tr.selected>td>div.menu-queue-itemcounter {
    background-color:white !important;
    color:#777777;
}
        
.bottom-button{
    float:right;
    margin-top:5px;
    margin-right:5px;
    font-size:18px;
    padding-left:13px !important;
    padding-right:5px !important;
}

.grid-button{

}

.Grid {
    position: absolute;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
    overflow: hidden;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    -ms-user-select: none;
}
.Grid>div>div>table>tbody>tr>td>i{
    margin-right:4px;
}

.ECMContextMenu {
    font-family: 'Segoe UI',Roboto,Helvetica Neue,Helvetica,Arial,sans-serif;
    font-size: 19px;
    font-weight: 600;
    list-style-type: none;
    width: 180px;
    background-color: white;
    border: 1px solid gray;
    box-shadow: 7px 7px 5px #888888;
    margin: 0px;
    padding: 0px;
}

.ECMContextMenu li{
    height:33px;
    width:100%;
    border-left:3px solid #438eb9;
    border-bottom:1px solid lightgray;
    font-size: 15px;
    /*margin-left: -35px;*/ 
    margin-bottom: 0px;
    padding-top: 5px;
    padding-left:11px;
    color:#333;
    font-weight: 400;
}

.ECMContextMenu li:hover{
    border-left:5px solid #ACD373;
    margin-left:4px;
    padding-left:5px;
    cursor:pointer;
}


.ECMContextSubMenu {
    display:none;
    position:relative;
    left: 164px;
    top:-26px;
    list-style-type:none;
    width:180px;
    background-color:white;
    border:1px solid #438eb9;
    margin:0px; 
    padding:0px;
}
.ECMContextSubMenuItem:hover .ECMContextSubMenu{ display:block; }

.k-checkbox + label::before{
	
	position:absolute !important;
	top:0px !important;
	left:0px !important;
	border-width:1px !important;
	border-style:solid !important;
	width:14px !important;
	height:14px !important;
	font-size:14px !important;
	line-height:14px !important;
	text-align:center !important;
	padding-top:inherit !important;
}



.k-checkbox:focus + .k-checkbox-label::before{
	border-color:#76abd9 !important;
	box-shadow: 0px 0px 2px 0px #76abd9 !important;
}

:checked.k-checkbox + .k-checkbox-label::before{
	background-color:#fff !important;
	border-color:#ccc !important;
	color:#428bca !important;
}

.tooltip
{
}
.tooltip-inner
{
    z-index:99 !important;
    margin-left:40% !important;
    width:100% !important;
    padding:8px 14px;
    text-align:left;
}

#workItemsGrid tr[data-uid]>td
{
    white-space:nowrap !important;
}

.ecmlink {
    cursor:pointer;
    padding-left:15px;
}

#divIframe > div {
    position:absolute;
    top:0px; bottom:0px; left:0px; right:0px;
}

#divIframe > div  > iframe {
    width:100%;
    height:100%;
}

/* width */
.sidebar-secondary-level::-webkit-scrollbar {
    width: 12px;
}

/* Track */
.sidebar-secondary-level::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
}

/* Handle */
.sidebar-secondary-level::-webkit-scrollbar-thumb {
    background: #777777;
    border-radius: 10px;
}

/* Handle on hover */
.sidebar-secondary-level::-webkit-scrollbar-thumb:hover {
    background: #dedede;
}

#wfNormalMenu.withlinks > #divWorkflowsContainer {
    position: absolute;
    top: 0px;
    width: 100%;
    height: calc(75% - 10px);
}

#wfNormalMenu.nolinks > #divWorkflowsContainer {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
}

#wfNormalMenu.withlinks > #divLinksContainer {
    position: absolute;
    bottom: 0px;
    width: 100%;
    height: 25%;
}

#wfNormalMenu.nolinks > #divLinksContainer {
    position: absolute;
    bottom: 0px;
    width: 100%;
    height: 25%;
    display:none;
}

#divWorkflowsTop {
    width: 100%;
}

#divWFandQMenu {
    position: absolute;
    top: 40px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow-x: hidden;
    overflow-y: auto;
}


#divLinksTop {
    width: 100%;
}
#divLinks{
    position:absolute;
    top:38px;
    bottom:0px;
    left:0px;
    right:0px;
    overflow-x:hidden;
    overflow-y:auto;
}
#divLinks > a {
    margin-top:2px;
    margin-bottom:2px;
    padding-top:0px !important;
    padding-bottom:0px !important;
}

.btn-sidebar-lg {
    width: 50px;
    font-size: 12px;
    overflow: hidden;
    height: 60px;
    white-space: normal;
    text-align: center;
    vertical-align: top !important;
    padding: 5px 0px 2px 0px;
    line-height: 13px;
    border-radius: 5px;
    outline: none !important;
    user-select: none !important;
    border: none !important;
}
.btn-sidebar-lg > i {
    width: 100%;
    font-size: 21px;
    margin-bottom: 5px;
}

.workflow-panel {
    display: none;
    vertical-align: top;
}

.workflow-panel > label {
    margin-top:10px;
    width: calc(100% - 10px);
    border-radius:5px;
}
.workflow-panel > div {
    position: absolute;
    left: 10px;
    right: 10px;
    top: 70px;
    bottom: 20px;
    vertical-align: top;
    overflow-y: auto;
    padding-right:10px;
}

.admin-button-container > div {
    position: relative;
    display: inline-block;
    width: 190px;
    height: 160px;
    border: 2px solid #dddddd;
    text-align: center;
    vertical-align: top;
    padding: 25px 10px;
    box-sizing: content-box;
    border-radius: 12px;
    margin-right: 15px;
    margin-bottom: 15px;
    box-shadow: 3px 3px 3px rgba(120,120,120,.15);
    background-color: #EAF4FF;    
}
.admin-button-container > div > i {
    text-align: center;
    font-size: 25px;
    color: #999999;
    margin-bottom: 15px;
    box-sizing: content-box;
}
.admin-button-container > div > label {
    display: inline-block;
    width: 100%;
    text-align: center;
    font-family: 'Segoe UI';
    font-size: 17px;
    font-weight: 700;
    color: #669ABA;
    margin-bottom: 15px;
    box-sizing: content-box;
}
.admin-button-container > div > div {
    display: inline-block;
    width: 100%;
    text-align: center;
    font-family: 'Segoe UI';
    font-size: 13px;
    font-weight: 700;
    color: #aaaaaa;
    box-sizing: content-box;
}

#panelUserSettings label{
    margin-left:5px;
}

#windowPWChange input {
    margin-top:5px;
}

.impersonation-stamp {
    position: fixed;
    bottom: 25px;
    right: 25px;
    background-color: rgba(170,170,170,0.75);
    pointer-events: none;
    padding: 8px;
}
.impersonation-stamp > div > label {
    color: #EAF2F9;
    font-weight: 700;
    width: 180px;
    font-family: 'Segoe UI';
}
.impersonation-stamp > div:first-child {
    color: #ffffff;
    font-weight: 700;
    font-family: 'Segoe UI';
}
.impersonation-stamp > div:last-child {
    color: #ffffff;
    margin-top: 5px;
    font-weight: 700;
    font-family: 'Segoe UI';
}